Bug 7143 - libnss-mysql: /lib/libnss_mysql.so.2.0.0 depends on /usr/lib/libmysqlclient.so.12
: libnss-mysql: /lib/libnss_mysql.so.2.0.0 depends on /usr/lib/libmysqlclient.s...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libnss-mysql)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-19 20:10 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-19 20:10:40
Library /lib/libnss_mysql.so.2.0.0 depends on /usr/lib/libmysqlclient.so.12. 
Binaries and libraries on the root filesystem basically should not depend on
/usr.  However, I don't see any good solution for this particular issue
offhand.
------- Comment #1 From 2007-08-03 09:59:56 -------
$ ldd /usr/lib/libnss_mysql.so
        linux-gate.so.1 =>  (0xffffe000)
        libmysqlclient.so.15 => /usr/lib/libmysqlclient.so.15 (0xb7d95000)

Поскольку сейчас libnss лежит тоже в /usr/lib, предлагаю багу закрыть.